<!DOCTYPE html>
<html>

<head>
    <title>PI POC</title>
    <script src="https://unpkg.com/vue@3"></script>
    <link rel="stylesheet" href="https://unpkg.com/leaflet@1.9.4/dist/leaflet.css"
        integrity="sha256-p4NxAoJBhIIN+hmNHrzRCf9tD/miZyoHS5obTRR9BMY=" crossorigin="" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous" />
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.10.3/font/bootstrap-icons.css">
    <style>
        #map {
            width: 100%;
            height: 95vh;
        }
    </style>
</head>

<body>
    <div class="container-fluid">
        <div id="app">
            <div class="row mt-3">
                <div class="col-xl-4">
                    <form @submit.prevent="findParticipants" class="row g-3">
                        <div class="col-auto">
                            <label for="name" class="form-label">Nom : </label>
                        </div>
                        <div class="col-auto">
                            <input type="text" class="form-control" id="name" v-model="participantName"
                                placeholder="nom à chercher">
                        </div>
                        <div class="col-auto">
                            <button type="submit" class="btn btn-primary mb-3">Chercher</button>
                        </div>
                    </form>
                    <template v-if="participants">
                        <table v-if="participants.length > 0 " class="table">
                            <thead>
                                <tr>
                                    <th scope="col">id</th>
                                    <th scope="col">Prénom</th>
                                    <th scope="col">Nom</th>
                                    <th scope="col"># Stops</th>
                                    <th scope="col">Couleur</th>
                                    <th scope="col">Visibilité</th>
                                </tr>
                            </thead>
                            <tr v-for="participant in participants" :key="participant.id">
                                <td>{{participant.id}}</td>
                                <td>{{participant.prenom}}</td>
                                <td>{{participant.nom}}</td>
                                <td>{{participant.nbreStops}}</td>
                                <td v-if="participant.nbreStops > 0">
                                    <input type="color" :value="participant.markerColor"
                                        @change="changeColor($event, participant)" />
                                </td>
                                <td v-if="participant.nbreStops > 0">
                                    <svg v-if="participant.stopsVisible" @click="hideStops(participant)" class="bi"
                                        width="32" height="32" fill="currentColor">
                                        <use xlink:href="bootstrap-icons.svg#eye-fill" />
                                    </svg>
                                    <svg v-else @click="displayStops(participant)" class="bi" width="32" height="32"
                                        fill="currentColor">
                                        <use xlink:href="bootstrap-icons.svg#eye-slash-fill" />
                                    </svg>
                                </td>
                            </tr>
                        </table>
                        <p v-else>
                            Pas de participant dont le nom débute par {{participantName}}
                        </p>
                    </template>
                    <!-- Dialogue Modal pour afficher les détails du feature sélectionné -->
                    <div class="modal fade" id="featureDetails" data-bs-backdrop="static" data-bs-keyboard="false"
                        tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h1 class="modal-title fs-5" id="staticBackdropLabel">Stop n°
                                        {{(selectedStop)?selectedStop.stop_id:''}}</h1>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"></button>
                                </div>
                                <div class="modal-body">
                                    <div class="mb-3">
                                        <label for="dateDebutInput" class="form-label">Date début</label>
                                        <input type="text" class="form-control" id="dateDebutInput"
                                            :value="(selectedStop)?selectedStop.date_debut:''" disabled>
                                    </div>
                                    <div class="mb-3">
                                        <label for="dateFinInput" class="form-label">Date fin</label>
                                        <input type="text" class="form-control" id="dateFinInput"
                                            :value="(selectedStop)?selectedStop.date_fin:''" disabled>
                                    </div>
                                    <div class="mb-3">
                                        <label for="commentaireTextArea" class="form-label">Commentaire</label>
                                        <textarea class="form-control" v-model="selectedStopComment"
                                            id="commentaireTextArea" rows="3">

                                        </textarea>
                                    </div>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-secondary"
                                        data-bs-dismiss="modal">Fermer</button>
                                    <button type="button" class="btn btn-primary"
                                        @click="updateStop">Enregistrer</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Dialogue Modal pour afficher les messages d'erreur-->
                    <div id="errorDialog" class="modal" tabindex="-1">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title">
                                        <a title="OpenClipart-Vectors, CC0, via Wikimedia Commons"
                                            href="https://commons.wikimedia.org/wiki/File:Alert-Stop-Warning-Error_icon.svg"><img
                                                width="32" alt="Alert-Stop-Warning-Error icon"
                                                src="https://upload.wikimedia.org/wikipedia/commons/thumb/2/27/Alert-Stop-Warning-Error_icon.svg/32px-Alert-Stop-Warning-Error_icon.svg.png"></a>
                                        &nbsp;&nbsp;<strong>Erreur</strong>
                                    </h5>
                                    <button type="button" class="btn-close" data-bs-dismiss="modal"
                                        aria-label="Close"></button>
                                </div>
                                <div v-if="erreur" class="modal-body">
                                    <p>{{erreur.name}}</p>
                                    <p>{{erreur.message}}</p>
                                    <template v-if="erreur.name ==='APIError'">
                                        <p>url: {{ erreur.url}}</p>
                                        <p>status code : {{ erreur.status}}  {{ erreur.statusText }}</p>
                                    </template>
                                    <p>Pour plus de détails consultez la console JavaScript</p>
                                </div>
                                <div class="modal-footer">
                                    <button type="button" class="btn btn-primary" data-bs-dismiss="modal">Close</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="col-xl-8">
                    <div id="map"></div>
                </div>

            </div> <!-- fin du row -->
        </div>
    </div>

    <script src="https://unpkg.com/leaflet@1.9.4/dist/leaflet.js"
        integrity="sha256-20nQCchB9co0qIjJZRGuk2/Z9VM+kNiyxNV1lvTlZBo=" crossorigin=""></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-kenU1KFdBIe4zVF0s0G1M5b4hcpxyD9F7jL+jjXkk+Q2h455rYXK/7HAuoJl+0I4"
        crossorigin="anonymous"></script>
    <script src="js/demoStops.js"></script>
</body>

</html>